// Pop Up Window 
var profiles =
{
	windowDefault:
	{
		height:600, // sets the height in pixels of the window.
		width:800, // sets the width in pixels of the window.
		toolbar:0, // determines whether a toolbar (includes the forward and back buttons) is displayed {1 (YES) or 0 (NO)}.
		scrollbars:1, // determines whether scrollbars appear on the window {1 (YES) or 0 (NO)}.
		status:0, // whether a status line appears at the bottom of the window {1 (YES) or 0 (NO)}.
		resizable:1, // whether the window can be resized {1 (YES) or 0 (NO)}. Can also be overloaded using resizable.
		left:0, // left position when the window appears.
		top:0, // top position when the window appears.
		center:1, // should we center the window? {1 (YES) or 0 (NO)}. overrides top and left
		createnew:0, // should we create a new window for each occurance {1 (YES) or 0 (NO)}.
		location:0, // determines whether the address bar is displayed {1 (YES) or 0 (NO)}.
		menubar:0, // determines whether the menu bar is displayed {1 (YES) or 0 (NO)}.
	},
};

 
// add id to body (NUMBERS ONLY) - 
// (Page#-SubPage#):example (id="1-1") 
// will set first item in nav to selected and first item in subNav to selected

/*----- setUp selected state for main Nav -----*/
function setNav() {
	var navArray = [];
	$('.js_eui_nav li a').each(function() {
		navArray.push($(this));
	});
	var bodyID = null;
	// look for hyphen in body ID - this means there is a subNav page association
	if ($('body').attr('id').indexOf('-')  != -1) {
		// if hyphen exist, split id at the hyphen
		bodyID = $('body').attr('id').split('-')[0];
		setSideNav();
	} else {
		// if hyphen does not exist, just use the body ID
		bodyID = $('body').attr('id');
	};
	//if a subPage php include exist and body ID is not correct alert message
	/*if ($('body').attr('id').indexOf('-')  == -1 && $('div.eui_sideNavWrapper:contains("include")')) {
		alert('It appears that you have a subPage associated with this page, but you did not set the correct body ID format\n\n\
please enter a correct body ID to handle the subPage (NUMBER-NUMBER)\n\
example <body id="1-1">');
	};*/
	var selectedNav = (navArray[bodyID-1]);
	selectedNav.addClass('selected');
};
/*----- setUp selected state for sideBar Nav -----*/
function setSideNav() {
	if ($('body').attr('id').indexOf('-')  != -1) {
		var navArray = [];
		$('.js_eui_sideNav li a').each(function() {
			navArray.push($(this));
		});
		var subPageID = $('body').attr('id').split('-')[1];
		var selectedSideNav = (navArray[subPageID-1]);
		selectedSideNav.addClass('selected');
	};
};
/*----- add thumbnail -----*/
function getThumbPath($this) {
	//find image src url and add "thumbs/" to the path
	var imgPath = $this.attr('href');
	var srcPathArray = imgPath.split('/');
	var imgFile = srcPathArray[srcPathArray.length-1];
	var srcPath = imgPath.split(imgFile , 1);
	var thumbPath =  srcPath +'thumbs/'+imgFile;
	$this.find('img').attr('src' , thumbPath);
 }
 
/*----- get image source link -----*/
function getImgSrcLink($this) {
	//find image src url to add to the "view image source" anchor
	var imgSrcURL = $this.prev('a.js_eui_imgOrig').attr('href');
	console.log(imgSrcURL);
	$this.attr('href' , imgSrcURL);
};


$(function (){
// Begin: external Doc Ready
//////////////////////////////////////////////////////////////////////////////////////////////////////////
	/********** POPUP WINDOW **********/
	//$(".popupwindow").popupwindow(profiles);
	
	/********** MAIN NAV SET UP **********/
	setNav();
	/********** SET IMAGE SOURCE **********/
	$('.js_eui_imgSrc').each(function() {
		getImgSrcLink($(this));
		
	});
	/********** SET THUMBS  **********/
	$('.js_eui_imgOrig').each(function() {
		getThumbPath($(this));
		
	});

//////////////////////////////////////////////////////////////////////////////////////////////////////////
// End: external Doc Ready
});