﻿//mapfiltering.js
//Copyright © EffectiveUI 2011

(function ($) {

	//Makes an AJAX call to the Home/Index controller with the json output type for the specified bounding coordinates
	$.fn.FilterItems = function (options) {
		var defaults = {
			maxLatitude: 90,
			minLatitude: -90,
			maxLongitude: 180,
			minLongitude: -180,
			callback: function (items) { }
		};

		var opts = $.extend(defaults, options);

		var $this = $(this);

		$.ajax({
			type: "GET",
			url: strFilterUrl + "?maxLat=" + opts.maxLatitude.toString() + "&maxLon=" + opts.maxLongitude.toString() + "&minLat=" + opts.minLatitude.toString() + "&minLon=" + opts.minLongitude.toString() + "&outputType=json",
			success: function (data) {
				opts.callback(data.Items);
			},
			error: function (request, status, error) {

			},
			dataType: "json"
		});
	};

})(jQuery);